Subject: Re: Pull is Evil

From: Jonathan Nieder <[email-masked]>
Date: Wed, 30 Apr 2014 13:01:46 -0700

Marc Branchaud wrote:

> All that said, I don't object to any attempts at improving the command
> either.  But I also don't see any kind of improvement that would lead me to
> start using "git pull" let alone recommending it to new users.

If "git pull" starts using --ff-only by default then I might start
recommending it.

I'm a little scared to look at the details of this thread.  Hopefully
once the topic matures and settles down a little it will be worthwhile
to review, or if there's any way I can help before then, feel free to
ask me privately.

Thanks for your work,
Jonathan